/* global angular, random */
angular.module("app").config([
    '$stateProvider',
    function ($stateProvider) {
        $stateProvider.state('main.rol_editar', {
            url: '/editar-rol/{rol_id:int}',
            templateUrl: 'templates/roles/rol-form.html' + random,
            controller: 'RolesEditarCtrl',
            resolve: {
                loadMyCtrl: [
                    '$ocLazyLoad',
                    function ($ocLazyLoad) {
                        return $ocLazyLoad.load([
                            'js/controllers/roles-controllers.js' + random,
                            'js/services/roles-services.js' + random
                        ]);
                    }
                ]
            }
        });
    }
]);
